// =============================================================================
// DROPDOWN (CSS)
// =============================================================================


.dropdown {
    left: -9999px;
    outline: none;
    position: absolute;
}

.dropdown-menu {
    &.is-loading .loadingOverlay {
        background: none;
        padding: (spacing("double") + spacing("single")) 0;
        position: relative;
    }

    &.is-open {
        display: block;
    }
}

.dropdown-menu-item {
    text-align: left;

    &:first-child {

        // scss-lint:disable NestingDepth
        > a {
            padding-top: spacing("half");
        }
    }

    &:last-child {

        // scss-lint:disable NestingDepth
        > a {
            padding-bottom: spacing("base");
        }
    }

    > a {
        margin: 0;
        padding: spacing("sixth") (spacing("half") + spacing("quarter"));
        text-decoration: none;
    }
}

.form-wishlist {
    position: relative;
}

.dropdown-menu-button {
    width: 100%;
    &.is-open {
        border-bottom-left-radius: 0px;
        border-bottom-right-radius: 0px;
    }
    .icon {
        float: right;
        margin-left: 10px;

        svg {
            fill: stencilColor("button--default-color");
        }
    }
}

#wishlist-dropdown.is-open {
    background: container("fill"); // papathemes-supermarket fix hard-code color
    left: auto !important;
    max-width: none !important;
    width: 100% !important;
    @include breakpoint('small') {
        padding-right: 20px;
    }
    @include breakpoint('medium') {
        padding-right: 0px;
    }
    @include breakpoint('large') {
        padding-right: 11px;
    }
    &:focus {
        outline: none;
    }
    [data-wishlist] {
        border-top: none;
        margin-bottom: 0px;
        width: 100%;
    }
    .button {
        border-top-left-radius: 0px;
        border-top-right-radius: 0px;
        width: 100%;
    }
    .button--has-items {
        font-weight: 700;
    }
    li:not(:last-child) .button {
        border-bottom: none;
        border-radius: 0px;
        border-top: none;
        margin-bottom: 0px;
    }
}

.form-wishlist--icon{
    #wishlist-dropdown{
        min-width: 250px;

        &.is-open li:first-child .button{
            border-top-width: 1px;
            border-top-style: solid;
            border-top-color: $buttonStyle-default-borderColor;
        }
    }
}
